net.sf.cglib.reflect

## Class MulticastDelegate.Generator

- java.lang.Object
- - net.sf.cglib.core.AbstractClassGenerator
  - - net.sf.cglib.reflect.MulticastDelegate.Generator

- All Implemented Interfaces:
    ClassGenerator
  Enclosing class:
    MulticastDelegate

      public static class MulticastDelegate.Generator
      extends AbstractClassGenerator

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `MulticastDelegate.Generator()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `MulticastDelegate` | `create()`
    `void` | `generateClass(ClassVisitor cv)`
    `void` | `setInterface(java.lang.Class iface)`

    - ### Methods inherited from class net.sf.cglib.core.AbstractClassGenerator

      `getAttemptLoad, getClassLoader, getCurrent, getNamingPolicy, getStrategy, getUseCache, setAttemptLoad, setClassLoader, setNamingPolicy, setStrategy, setUseCache`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### MulticastDelegate.Generator

          public MulticastDelegate.Generator()

  - ### Method Detail

    - #### setInterface

          public void setInterface(java.lang.Class iface)

    - #### create

          public MulticastDelegate create()

    - #### generateClass

          public void generateClass(ClassVisitor cv)

Copyright (c) 2001 - Apache Software Foundation